MacDrawProStyleManagerInternal::Gradient Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MacDrawProStyleManagerInternal::Gradient Struct Reference

## Public Member Functions
| Gradient ()
| constructor
bool | hasGradient () const
| returns true if the gradient is defined

## Public Attributes
MWAWGraphicStyle::Gradient::Type | m_type
| the gradient type
std::vector< MWAWGraphicStyle::Gradient::Stop > | m_stopList
| the list of gradient limits
float | m_angle
| the gradient angle
MWAWVec2f | m_percentCenter
| the gradient center
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Gradient const &grad)
| a print operator

## Constructor & Destructor Documentation

## ◆ Gradient()

MacDrawProStyleManagerInternal::Gradient::Gradient | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasGradient()

bool MacDrawProStyleManagerInternal::Gradient::hasGradient | ( |  | ) | const
| inline

returns true if the gradient is defined

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Gradient const & | grad )
| friend

a print operator

## Member Data Documentation

## ◆ m_angle

float MacDrawProStyleManagerInternal::Gradient::m_angle

the gradient angle

Referenced by MacDrawProStyleManager::readGradientMap().

## ◆ m_extra

std::string MacDrawProStyleManagerInternal::Gradient::m_extra

extra data

Referenced by MacDrawProStyleManager::readGradientMap().

## ◆ m_percentCenter

MWAWVec2f MacDrawProStyleManagerInternal::Gradient::m_percentCenter

the gradient center

Referenced by MacDrawProStyleManager::readGradientMap().

## ◆ m_stopList

std::vector<MWAWGraphicStyle::Gradient::Stop> MacDrawProStyleManagerInternal::Gradient::m_stopList

the list of gradient limits

Referenced by hasGradient(), and MacDrawProStyleManager::readGradientMap().

## ◆ m_type

MWAWGraphicStyle::Gradient::Type MacDrawProStyleManagerInternal::Gradient::m_type

the gradient type

Referenced by hasGradient(), and MacDrawProStyleManager::readGradientMap().

The documentation for this struct was generated from the following file:

- MacDrawProStyleManager.cxx